Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/lzip: new aport

From: ScrumpyJack <scrumpyjack_at_me.com>
Date: Fri, 21 Aug 2015 12:47:23 +0000 (UTC)

Lzip is a lossless data compressor
http://lzip.nongnu.org/lzip.html
---
 testing/lzip/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/lzip/APKBUILD
diff --git a/testing/lzip/APKBUILD b/testing/lzip/APKBUILD
new file mode 100644
index 0000000..5f92988
--- /dev/null
+++ b/testing/lzip/APKBUILD
_at_@ -0,0 +1,41 @@
+# Contributor: ScrumpyJack <scrumpyjack_at_me.com>
+# Maintainer:
+pkgname=lzip
+pkgver=1.17
+pkgrel=0
+pkgdesc="Lzip is a lossless data compressor"
+url="http://lzip.nongnu.org/lzip.html"
+arch="all"
+license="GPL2"
+depends=""
+depends_dev=""
+makedepends=""
+install=""
+subpackages="$pkgname-doc"
+source="http://download.savannah.gnu.org/releases/${pkgname}/${pkgname}-${pkgver}.tar.gz"
+
+_builddir=${srcdir}/${pkgname}-${pkgver}
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+        ./configure --prefix=/usr
+        make || return 1
+}
+
+package() {
+	cd "$_builddir"
+        make DESTDIR=${pkgdir} install || return 1
+}
+
+md5sums="be776a33333ee6529ea79f309491325b  lzip-1.17.tar.gz"
+sha256sums="9443855e0a33131233b22cdb6c62c9313a483f16cc7415efe88d4a494cea0352  lzip-1.17.tar.gz"
+sha512sums="cd4a1a7d3778f22e3a6f2d2a20491919e662771e79d1738f74c63de857913e28186d53b2af7997e1b164f8ab792561c7dde8781bb025a1859271ddd72f5ed519  lzip-1.17.tar.gz"
-- 
2.5.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Fri Aug 21 2015 - 12:47:23 GMT